Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global provider        github
%global provider_tld    com
%global project sgallagher
%global repo sscg
# https://github.com/sgallagher/sscg
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}


Name:           sscg
Version:        2.6.1
Release:        alt1_2
Summary:        Simple SSL certificate generator

License:        BSD
URL:            https://%{provider_prefix}
Source0:        https://%{provider_prefix}/releases/download/%{repo}-%{version}/%{repo}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  libtalloc-devel
BuildRequires:  libssl-devel
BuildRequires:  libpopt-devel
BuildRequires:  libpath_utils-devel
BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  help2man
BuildRequires:  clang7.0 llvm7.0
Source44: import.info



%description
A utility to aid in the creation of more secure "self-signed"
certificates. The certificates created by this tool are generated in a
way so as to create a CA certificate that can be safely imported into a
client machine to trust the service certificate without needing to set
up a full PKI environment and without exposing the machine to a risk of
false signatures from the service certificate.

%prep
%setup -q



%build
%meson
%meson_build

%install
%meson_install

%check

%ifnarch %{arm}
%meson_test
%endif

%files
%doc --no-dereference COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 2.6.1-alt1_2
- update to new release by fcimport

* Thu Dec 26 2019 Igor Vlasenko <viy@altlinux.ru> 2.6.0-alt1_2
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 2.5.1-alt1_3
- new version

